### Method

# GdkPixbuf PixbufFormat set_disabled

since: 2.6

#### Declaration [src]

    void
    gdk_pixbuf_format_set_disabled (
      GdkPixbufFormat* format,
      gboolean disabled
    )

#### Description [src]

Disables or enables an image format.

If a format is disabled, GdkPixbuf won’t use the image loader for this format to load images.

Applications can use this to avoid using image loaders with an inappropriate license, see gdk_pixbuf_format_get_license().

Available since: 2.6

#### Parameters

`disabled`

  Type: `gboolean`

  `TRUE` to disable the format `format`.